#include <stdio.h>

int main()
{
    unsigned int n, l;
    int br = -1;
    scanf("%d %d", &n, &l);
    int h[n];
    for (int i = 0; i < n; i++) {
        scanf("%d", &h[i]);
        if((h[i] <= l) && (br == -1)){
            br = i + 1;
        }
        
    }
    
    printf("%d", br);
    return 0;
}